Backend API
Get all API authentication apps
cURL
curl --request GET \ --url https://api.wacht.dev/api-auth/apps \ --header 'Authorization: <api-key>'
{ "apps": [ { "id": "1234567890123456789", "deployment_id": "9876543210987654321", "user_id": "<string>", "organization_id": "<string>", "workspace_id": "<string>", "app_slug": "my-app", "name": "My App", "key_prefix": "sk_live", "description": "Production application", "is_active": true, "permissions": [ "<string>" ], "resources": [ "<string>" ], "rate_limit_scheme_slug": "default-rate-limits", "rate_limits": [ { "unit": "minute", "duration": 1, "max_requests": 100, "mode": "per_key", "endpoints": [ "*" ], "priority": 0 } ], "created_at": "2024-01-15T10:30:00Z", "updated_at": "2024-01-15T10:30:00Z", "deleted_at": "2023-11-07T05:31:56Z" } ], "total": 10 }
API key authentication (format: Bearer {api_key})
Include inactive apps
List of API auth apps
Show child attributes
10
Was this page helpful?